Uploaded image for project: 'VuFind'
  1. VuFind
  2. VUFIND-1459

Solr won't start with Java 11.0.9.1

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 6.0, 6.0.1, 6.1, 6.1.1, 6.1.2, 7.0, 7.0.1
    • Fix Version/s: 7.0.2
    • Component/s: None
    • Labels:
      None

      Description

      After Java is updated to version 11.0.9.1, Solr 7.3.1 will not start because the embedded Jetty's Java version validation routine is confused by the four-part version number. This can be resolved by upgrading to Solr 7.4.0, which uses a newer and more tolerant version of Jetty.

        Attachments

          Activity

            People

            Assignee:
            demiankatz Demian Katz
            Reporter:
            demiankatz Demian Katz
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: